---
Name: centos-stream-8-latest-dvd-install
Bundle: drp-community-content
Description: CentOS Stream 8 latest DVD (full) installer.
Documentation: |
  This BootEnv installs the CentOS 8 Stream DVD (full) operating system.
  Only x86_64 (amd64).

  Note that due to how the CentOS team maintains the downloads in the mirrors,
  any given point release will be replaced with the next one.  They do not
  maintain an archive of each point release.  Consequently, there is no shs256
  hash as the contents of the "latest" ISO will vary.

  ISOs can be downloaded from:

    * http://isoredirect.centos.org/centos

Loaders:
  amd64-uefi: EFI/BOOT/BOOTX64.EFI
  arm64-uefi: EFI/BOOT/BOOTAA64.EFI
Meta:
  color: blue
  feature-flags: change-stage-v2
  icon: linux
  title: Digital Rebar Community Content
  type: os
  group-by: CentOS
OS:
  Name: centos-stream-8-latest-dvd
  Codename: centos
  Family: redhat
  Version: "8"
  SupportedArchitectures:
    x86_64:
      IsoFile: CentOS-Stream-8-x86_64-latest-dvd1.iso
      IsoUrl: http://mirror.facebook.net/centos/8-stream/isos/x86_64/CentOS-Stream-8-x86_64-latest-dvd1.iso
      Sha256: ""
      BootParams:
        ksdevice=bootif
        ks={{.Machine.Url}}/compute.ks
        method={{.Env.InstallUrl}}
        inst.geoloc=0
        {{.ParamExpand "kernel-options"}}
        --
        {{.ParamExpand "init-options"}}
      Kernel: images/pxeboot/vmlinuz
      Initrds:
        - images/pxeboot/initrd.img
    aarch64:
      IsoFile: CentOS-Stream-8-aarch64-latest-dvd1.iso
      IsoUrl: http://mirror.facebook.net/centos/8-stream/isos/aarch64/CentOS-Stream-8-aarch64-latest-dvd1.iso
      Sha256: ""
      Kernel: images/pxeboot/vmlinuz
      Initrds:
        - images/pxeboot/initrd.img
      BootParams: >-
        ksdevice=bootif
        ks={{.Machine.Url}}/compute.ks
        method={{.Env.InstallUrl}}
        inst.geoloc=0
        {{.ParamExpand "kernel-options"}}
        --
        {{.ParamExpand "init-options"}}
    ppc64le:
      IsoFile: CentOS-Stream-8-ppc64le-latest-dvd1.iso
      IsoUrl: http://mirror.facebook.net/centos/8-stream/isos/ppc64le/CentOS-Stream-8-ppc64le-latest-dvd1.iso
      Sha256: ""
      Kernel: images/pxeboot/vmlinuz
      Initrds:
        - images/pxeboot/initrd.img
      BootParams: >-
        ksdevice=bootif
        ks={{.Machine.Url}}/compute.ks
        method={{.Env.InstallUrl}}
        inst.geoloc=0
        {{.ParamExpand "kernel-options"}}
        --
        {{.ParamExpand "init-options"}}
OptionalParams:
  - operating-system-disk
  - provisioner-default-password-hash
  - kernel-console
  - kernel-options
  - proxy-servers
  - select-kickseed
  - init-options
  - kickstart-base-packages
  - extra-packages
  - package-repositories
Templates:
  - ID: kexec.tmpl
    Name: kexec
    Path: '{{.Machine.Path}}/kexec'
  - ID: default-pxelinux.tmpl
    Name: pxelinux
    Path: pxelinux.cfg/{{.Machine.HexAddress}}
  - ID: default-ipxe.tmpl
    Name: ipxe
    Path: '{{.Machine.Address}}.ipxe'
  - ID: default-pxelinux.tmpl
    Name: pxelinux-mac
    Path: pxelinux.cfg/{{.Machine.MacAddr "pxelinux"}}
  - ID: default-ipxe.tmpl
    Name: ipxe-mac
    Path: '{{.Machine.MacAddr "ipxe"}}.ipxe'
  - ID: default-grub.tmpl
    Name: grub
    Path: grub/{{.Machine.Address}}.cfg
  - ID: default-grub.tmpl
    Name: grub-mac
    Path: grub/{{.Machine.MacAddr "grub"}}.cfg
  - Name: grub-http-boot
    Path: '{{.Env.PathFor "tftp" ""}}/EFI/BOOT/grub.cfg'
    ID: default-grub.tmpl
  - ID: select-kickseed.tmpl
    Name: compute.ks
    Path: '{{.Machine.Path}}/compute.ks'
